![](https://kniganews.org/wp-content/uploads/2012/12/bc41base.jpg)

<center>(15)</center>

The ideas of scientists who "dropped out" of science for various reasons in the late 1950s are most conveniently compared using the tools of mathematics. This is natural since mathematics is the basic language for describing nature. Why this is so, no one can say for certain. But it is an undisputed fact.

And besides that, mathematics is especially attractive because it allows, quoting well-known specialists [o15], the manipulation of objects without giving them precise definitions. There's a point, there's a straight line, there's a plane – based on these concepts and the relationships between them, it is possible, knowledgeable people assure, to teach geometry even to the blind.

The metaphor of human blindness is particularly apt in the context of comprehending the incomprehensible nature – if one recalls the famous parable of the blind men trying to understand what an elephant is by touching different parts of it. [i11]

Given that we inherently have the concepts of a point, a straight line, and a plane, it is easy to demonstrate how mathematics is inseparably linked to physics through the concept of motion. That is, based on the idea of dynamics – movement – one can derive all subsequent concepts from a single one.

The movement of a point generates a 1-dimensional line, specifically, a straight line and a circle. The movement of a line generates a surface. Thus, a straight line can generate a 2-dimensional plane in two basic ways – parallel translation and rotation around one of its points.

Similarly, 3-dimensional space can be generated by parallel translation of a plane or rotation of a plane around one of its lines. It is clear that this process can be developed further – towards the generation of spaces of higher dimensions.

![](https://kniganews.org/wp-content/uploads/2012/12/bc41rotatinplane.jpg)

<center>(16)</center>

The idea of rotation is embedded in the foundations of mechanics and geometry from the outset. Alongside the point, line, and plane, a fundamentally important object in geometry is the circle. The uniform motion of a point along a circle, accordingly, is a fundamentally important system in mechanics.

The equation describing the motion of a point in such a system, as it turned out, is equally suitable for describing the oscillations of a weight on a spring or a pendulum on a suspension, for the sinusoidal propagation of waves, and for describing the modes of string vibrations. Due to obvious connections with music, the system is called a harmonic oscillator.

![](https://kniganews.org/wp-content/uploads/2012/12/simple_harmonic_motion_orbit.gif "Simple examples of harmonic motion (Wikipedia animation)")

When classical physics was replaced by quantum physics, it quickly became apparent that the harmonic oscillator plays no lesser role there. More precisely, a much greater one. Not only because the strictly discrete natural frequencies of a musical string's sound are a direct mechanical analogy for the allowed orbitals of an electron in an atom. But also because the wave equations of quantum objects are fundamentally built on the idea of oscillations and the mathematics of complex numbers. And this mathematical apparatus is essentially ideally suited for solving problems about the motion of a point in a circle (in the phase space of states).

Another very important geometric feature of oscillating systems is the appearance of additional rotation in them when at least two influences act on the oscillating system. This phenomenon is most often called the **Berry phase** – in honor of the English physicist-mathematician Michael Berry, who rediscovered the phenomenon once again in the 1980s. But in reality, different manifestations of the same effect were known to scientists much earlier.

Thus, in classical mechanics, the "Foucault's pendulum" – the rotation of the plane of oscillations of a plumb line under the influence of Earth's rotation – has been known for centuries. In quantum physics, the rotation of the plane of polarization of photons when passing through a fiber-optic cable is a well-known manifestation of the same effect. It is also possible that quantum spin – the phenomenon of particles rotating around their own axes – can be naturally explained through the peculiarities of system oscillation.

<center>(17)</center>

When – in the 19th century – the tools of multidimensional geometry began to be included in the standard arsenal of mathematics, the most curious researchers began to tackle the problems of perception. In other words, long before the appearance of the concept of 4-dimensional space-time, work began to be devoted to how an observer from, say, a 2-dimensional world would perceive 3-dimensional objects. [o16]

![](https://kniganews.org/wp-content/uploads/2012/12/bc41flatland.jpg)

One of the most characteristic examples of this kind is the passage of a 3-dimensional sphere through a flat world. To the inhabitants of the plane, it would initially appear as a tiny point, then a circle of variable – first growing, then decreasing – diameter, and finally again as a vanishingly small point. Using this analogy, it is significantly easier to imagine that a 4-dimensional sphere passing through a 3-dimensional world like ours would appear as a spherical object with a size changing from zero to a maximum diameter.

From this picture, it is logical to move on to constantly oscillating quantum particles and the well-known tunneling effect. That is, the phenomenon of a quantum particle passing through a barrier insurmountable in classical physics. A particle's wave function description shows that its real size (probability amplitude) periodically decreases to zero. So, at these moments, it can slip through barriers as if invisible.

Another important aspect of the quantum world is that particles of matter interact – quantum entangle – not directly but necessarily through a photon or a mediator particle. For the geometric description of this picture, it is essential that a moving photon can be represented by its plane of polarization. Typically, if a photon is reflected by a particle, the plane of the wave propagates without rotation (linear polarization). But if the photon is emitted by a particle, then the plane of polarization rotates around the axis of propagation (circular polarization).

![](https://kniganews.org/wp-content/uploads/2012/12/photon.jpg "A twisted ribbon — one way to depict a single photon with circular polarization")

Looking at the picture from this perspective, it is easier to imagine the mechanism of forming quantum entanglement. When a photon departs from one particle, they are already entangled, and the photon's plane of polarization already carries information about the quantum state (spin direction) of the particle. When the photon reaches another particle, the plane of polarization makes a "slice" of its current state. If the particle’s diameter is maximum, then the interaction takes place at its maximum. And if the cross-section diameter is zero at that moment, then there is no interaction and, consequently, no entanglement at all.

It's probably not hard to understand that although in this movement and interaction scheme all elements are defined by a deterministic wave function, the final picture of all these oscillating particles-targets and rotating photon's planes is quite intricate and tangled. So the easiest way to describe it is by approximate methods through probability amplitudes. In other words, a general – though very rough – scheme has been constructed for a mechanical description of the quantum world. Moreover, it's a world that, in many significant properties, is very similar to Everett's branching world.

<center>(18)</center>

In the history of science, there is a tradition, probably going back to biblical texts with their meticulous listing of who begot whom since the time of Adam and Eve. In the scientific world, in a similar vein, people also like to record the genealogical connections of generations – who was whose teacher and student. In particular, it has become noted in modern encyclopedias that the most famous students of the patriarch of American physics, John Archibald Wheeler, were Richard Feynman and Hugh Everett.

Enough has been said about the complex history of the unacknowledged-in-life glory of Everett. About the extraordinary personality of the Nobel laureate Feynman, not to mention his more direct and brilliant scientific career, there are so many books published today that it seems almost everything has been said. But it may turn out that actually not all facts and connections are generally known yet. For example, of this kind.

In his lectures and books, Feynman repeatedly emphasized [o17] that the three basic theories of modern physics, describing fundamental forces, are essentially very similar to each other. And they are built on the same basis as the very first of them historically – quantum electrodynamics, or QED (for the development of which Feynman received the Nobel Prize).

All three quantum theories – electromagnetic, strong, and weak nuclear interactions – describe the interaction of spin-1/2 objects (like electrons) with spin-1 objects (like photons, gluons, and W-bosons) in the same terms of probability amplitudes. Naturally, it would be very desirable to know why all physical theories have such a similar structure.

Without having a definitive opinion on this matter, Feynman proposed several possible answers. And one of them, the most promising, looks like this. Perhaps **all these similar phenomena – are actually different sides of one and the same picture, hidden from us**. Such a picture, the parts of which, taken separately, only seem different – like fingers on one hand…

The importance of this very deep idea can be illustrated by the example of the Feynman integral, which is a convenient way to compute events in the quantum world. But first, it is necessary to recall one of the fundamental principles of quantum physics – the superposition of states.

The essence of the principle, in short, is this. In classical physics, for any object moving from point A to point B, a specific and uniquely determined trajectory is implied, but in quantum physics, the same picture looks significantly different. For an object of the micro-world, like an electron, such a trajectory is a superposition or overlay of all possible paths from point A to point B, taking into account the probabilities of each route. If we move to numerical descriptions, the problem is calculated analytically as a "weighted average" using the path integral, proposed by Richard Feynman in the 1940s while developing quantum electrodynamics.

It should be emphasized that this mathematical construct, which has proven itself very well in a variety of different physical applications, far removed from QED, looks extremely strange from the perspective of professional mathematicians. One of the scientific authorities in the mathematical field described the Feynman integral with these words: "Imagine something like the Eiffel Tower hanging in the air – without foundation from the point of view of mathematics. There it all is, all of it works, but it stands on who knows what"… [o18]

However, Feynman's construction – a "weighted average" for the superposition of all possible particle trajectories, considering the probabilities of each route – can naturally be reformulated in Everett's construction terms with its constantly branching worlds. That is, it is logical to assume that both these schemes are based on the same theoretical foundation.

If we recall that Hugh Everett built his concept on Shannon's theory of information, then the subsequent conclusion seems quite amusing. It is possible that the **mathematical foundations of the Feynman integral** are hidden there – **in the depths of information theory**.

In an ultra-brief formulation, this idea is since some time expressed by the maxim "**It from bit**" . And it is unlikely a coincidence that such a beautiful aphorism was invented – at the end of his long life – by John Archibald Wheeler [i12]. The teacher of Feynman and Everett, who managed to outlive his students by several decades.

![](https://kniganews.org/wp-content/uploads/2012/12/bc41eiffel.jpg)

<center>([Read more](/tbc/42/))</center>

### Inside links

[i11] Cave and Elephant, [https://kniganews.org/map/w/10-00/hex88/](https://kniganews.org/map/w/10-00/hex88/)

[i12] Juggler on a Train, [https://kniganews.org/map/n/00-01/hex1f/](https://kniganews.org/map/n/00-01/hex1f/)

### Outside links

[o15] Mark Kac and Stanislaw M. Ulam, "*Mathematics and Logic: Retrospect and Prospects*", F.A. Praeger Publishers (1968)

[o16] Abbott, Edwin A. (1884) *Flatland: A romance in Many dimensions*. Dover thrift Edition (1992 unabridged). New York.

[o17] R. Feynman, "*QED The Strange Theory of Light and Matter*". Princeton University Press(1985)

[o18] Yuri Manin. "*We don't choose mathematics as our profession — it chooses us*" (in Russian). Interview with the newspaper "Troitsky Variant", No. 13, 30 September 2008
