![](https://kniganews.org/wp-content/uploads/2013/03/bc61mathevolut.jpg)

<center>(46)</center>

It so happened that René Descartes [i59] and Blaise Pascal [i60], two of the most significant thinkers gifted to the world by France in the 17th century, left a notable mark in history not only as philosophers but also as first-rate mathematicians.

As for the genius Pascal, his contribution to the exact sciences is well-known. However, Descartes – the "father of modern European philosophy," as he is often called – is also renowned as the founder of analytic geometry. Thanks to him, in particular, the mathematical toolkit of science was enhanced with an innovative and extremely effective approach to solving problems based on a coordinate system, which eventually became known as "Cartesian."

Unlike the universal language of mathematics, equally suitable for all people regardless of their worldview and beliefs, different philosophies can lead scientists to diametrically opposed conclusions. Thus, it's not surprising that Descartes's and Pascal's philosophical views on nature differed significantly. Especially in the issues concerning the relationships between the spiritual and the physical world.

However, in the philosophical legacy of these thinkers, there are very important nuances — moreover, mathematical nuances — that, if properly developed, could have not only brought Descartes's and Pascal's philosophies closer together but also done much more. Like laying a rigorous mathematical foundation under the scientific concept of the unified nature of matter and consciousness.

To make it clearer what is being discussed here, it's time to recall **two** remarkable images, or as they are also called, **archetypal symbols**, which fascinated these philosophers immensely. These symbols — **the sphere and the tree** — appear in humanity's ideas about the **structure of the universe** from time immemorial.

The rich history of the sphere image (and quite an unusual design) in this context is vividly recounted in Jorge L. Borges's essay titled "Pascal's Sphere". Without delving into retelling the well-known text, it is sufficient to quote only how precisely Blaise Pascal formulated what he realized: "**Nature is an infinite sphere, the center of which is everywhere, and the circumference nowhere**"…

For Descartes's worldview, it seems, the symbol of the tree appeared more relatable and significant. This image, found in the oldest cosmogonic myths of many of the world's peoples under the common name "tree of life," is reflected in Descartes's "Principles of Philosophy."

The hierarchical **structure for the general complex of human knowledge** about the world — i.e., for "philosophy" in Descartes's terminology — should, in his opinion, look as follows: "All philosophy is **like a tree**, of which Metaphysics is the root, Physics the trunk, and all other sciences the branches that grow out of this trunk, which are reduced to three principals, namely, Medicine, Mechanics, and Ethics."

![](https://kniganews.org/wp-content/uploads/2013/03/bc61desctree.jpg)

Let us ignore the obvious archaism, so to speak, of Descartes's classification of sciences, and focus only on the tree-like structure of knowledge itself. And also recall — for a complete picture — the famous legend about the circumstances under which Descartes invented his coordinate system.

Once, looking at a sprawling tree through a window protected by grid bars, the philosopher is said to have realized that using the squares of the grid, one could assign numbers to identify the positions of parts of the oak — trunk, branches, and leaves. And by reducing the size of the grid cells, one could get descriptions (or "digitizations," as it is now said) of the oak with more and more details.

The rectangular Cartesian coordinate system, as is well-known, became an immensely significant discovery for subsequent constructions of the mathematical foundations of physics. Much less known is that if Descartes' thought had gone slightly differently, and if he had tried to describe the picture in the window using another, new number system — capable of directly describing the tree due to its own tree-like structure — the science today could appear fundamentally different.

That is, essentially even then, at the dawn of the scientific revolution, humanity had the chance to receive a significantly different numbering system. Which, as was recently discovered, is also extremely useful for physics and other branches of scientific knowledge but was discovered only several centuries later under the name ***p*-adic numbers**.

And most curiously, **another graphical representation — aside from the tree — of this mathematical construction is made **with the help of "**a sphere, the center of which is everywhere**"…

<center>(47)</center>

The theory of *p*-adic numbers emerged at the end of the 19th century. In other words, the scientific world found out about this discovery almost simultaneously with the publications of the revolutionary ideas in physics regarding the quantization of energy and the special theory of relativity.

How deep the connection is between these greatest discoveries in physics and the apparatus of *p-*adic numbers becomes much clearer much, much later. So much so that initially, and even almost a century after the discovery — nearly until the end of the 20th century*, p*-adic numbers existed in the understanding of scientists completely separately from physics.

In other words, the unusual arithmetic construct, created by the German algebraist Kurt Hensel [o44], was long considered by the scientific world as theoretically useful, yet a completely abstract mathematical structure. One with absolutely no connection to reality, nor any applicable practical usage.

However, from the vantage point of today's complex of knowledge, it's easy to see that the trajectory of scientific development in the 20th century did not necessarily have to be the way it turned out. And if the titans of the scientific revolution had had a bit more desire and time to look around rather than just pushing their own theories, the coherence of the scientific picture would only have benefited.

And this is by no means about fantasies disconnected from reality. For example, the simultaneous emergence [i61] in 1900 of Planck's quantum hypothesis, which opened the path to the micro-world for the scientists, and the publication of Freud's "Interpretation of Dreams", which opened for science the world of the subconscious, could hardly have been immediately perceived as a clear signal to merge physics and psychology into a single stream of mutually agreed research (this understanding hasn't been achieved even to this day).

But noting how beautifully the structure and characteristics of unusual *p-*adic numbers align with the latest discoveries in physical science was quite within the power of the outstanding mathematicians of the era. Especially since there were quite a few such scientists and the tasks of mathematical physics always played a primary role. Despite all of this, alas, neither a unification nor even significant intersections for physics and* p*-adics occurred then…

The peculiar essence of the *p*-adic construct lies in the fact that an abstract mathematical idea of continuity can, as it turns out, be derived consistently and non-contradictorily based on a model very different from the familiar real numbers. If, for real numbers, it is self-evident that all of them are orderly arranged on the number line, and any segment on this line can be divided (to infinity) into two smaller segments with a common boundary, for* p*-adic numbers, the picture looks substantially different.

It should begin with the fact that the set of *p-*adic numbers is unordered. That is, for any pair of such numbers, it is impossible to say that one is "greater" and the other "less." Consequently, between these numbers, there's no interval where other numbers might be found — like "less than the first and greater than the second." Yet, with their purely discrete nature, they densely fill all the "numerical space."

For illustration, *p*-adic numbers can be likened to the branches and leaves of a vast sprawling tree. If we imagine that such a tree grew from some specific point on the number line, we will discover an astonishing correspondence between these sets. There are so many branches and leaves on this mathematical tree that for any point on the number line, a corresponding value can be found on the tree structure by moving along the branches according to strictly defined rules.

To understand these rules generally, it's helpful to draw a close analogy with the decomposition of real numbers in different bases. That is, you must imagine how each number is equivalently recorded as a sum of powers of the same base number — as this is done in decimal, binary, hexadecimal notation, and so on.

In constructing *p-*adic numbers, something similar is done, but as the base, a prime number is taken — divisible only by itself and 1 (in the German language, such an object is called *Primzahl*, which suggested to Kurt Hensel naming his discovery *p-adischen Zahlen*). Hensel found that if rational numbers, i.e., fractions, are expressed in a specific mathematical way (using modular arithmetic) through the powers of a prime number, a special, entirely full-fledged world of numbers results.

![](https://kniganews.org/wp-content/uploads/2013/03/bc61treeration.jpg)

Most importantly, this world provides a convenient approach to well-known complex problems in mathematics. In particular, the *p*-adic framework has proven very useful for clarifying general questions about the solvability of algebraic equations.

Since every system of *p*-adic numbers is being built — or grows like a tree — separately for each prime number *p*, it can be said that Kurt Hensel discovered, in mathematics, an infinite number of parallel universes. Moreover, each of these worlds is no worse than the real numbers in terms of filling all the gaps between rational numbers — representing irrational numbers (roots of equations, values of logarithms, sines-cosines, and so on) as infinite decompositions in powers of* p*.

And what is particularly noteworthy, each of these *p*-adic universes has a granular structure, formed based on its own "indivisible atom"* p*.

Against the backdrop of these explanations, the important successes of physics achieved simultaneously with the emergence of *p-*adics begin to look significantly different. On one hand, there are the rich outcomes of classical physics, gathered concerning the granular structure of space (Kelvin's model for ether as a "vortex sponge") [i62]. On the other hand, Planck's ideas about quantized, hence also "granular," nature of energy…

In other words, **the mathematical bridge for an organic transition from classical physics to quantum theory existed, essentially, from the very beginning**. Moreover, a decade and a half later (in 1916, simultaneously with the birth of Einstein's General Theory of Relativity), a fundamentally important mathematical result for both physics was proved in the theory of numbers.

A student of Hensel, the then-very-young Russian mathematician Alexander M. Ostrowski proved a theorem (now known under his name) according to which rational numbers can be completed to a continuous set in only two alternative ways — either by the apparatus of real numbers or *p-*adic. There are no other options and cannot be in principle…

<center>(48)</center>

Why such an abstract, it would seem, mathematical result as Ostrowski's theorem in number theory turns out to be extremely important for the fundamental foundations of physics will become clearer a bit later. For now, it's the perfect time to recall the more ancient "French connection".

With the "Descartes' tree" and the role of this image in describing *p-*adic numbers, the situation is probably already quite clear. But what about the "Pascal's sphere"?

To clarify this question, it's useful to consider the construction and properties of *p-*adics from another perspective — in terms of so-called ultrametric spaces, introduced into number theory by Krasner in 1944.

(Marc Krasner was another mathematician of Russian origin, who, like Ostrowski, had to move to the West from Russia at a young age due to anti-Semitism and revolutionary turmoil. In the mid-1930s, he defended his dissertation in Paris under Jacques Hadamard and remained a Frenchman for the next fifty years, until his death in 1985. As for Alexander Ostrowski, he settled in Switzerland by 1927 after moving between cities and countries, where he secured a mathematical professorship at the University of Basel. For the remaining 60 years of his long life, this city became Ostrowski's home…)

Already from the name "ultrametric space," it's clear that this involves a set where the metric — i.e., the measure of distance — between elements is defined differently from usual.

What is a regular metric is best illustrated by Euclidean geometry, where the properties of distances between points are intuitively clear and self-evident. The metric is always positive and equals zero only when points coincide. The distance from point *A* to point *B* equals the distance from point *B* to point *A*. Furthermore, for the vertices of a triangle, the distance between any two points does not exceed the sum of distances from these points to the third point.

The last of these properties is typically known as the triangle inequality. However, if you strengthen it slightly by requiring that the distance between any vertices in any triangle always not exceed the length of the largest side of the other two (strong triangle inequality), something remarkable happens. It turns out that the geometry of a space with such an "ultrametric" not only looks substantially different from Euclidean but also our ordinary intuition about the properties of the space completely stops working here.

For example, in any ultrametric space, every triangle is either equilateral or isosceles. Moreover, the base of an isosceles triangle cannot be greater than the lengths of the other sides.

One of the curious consequences of this property is that any two spheres in an ultrametric space either do not intersect at all or one is entirely contained within the other. Similar behavior is observed in mercury droplets.

Due to these properties, ultrametric spaces form what is sometimes called a system with a natural hierarchy. In such a system, smaller radius spheres fill larger radius spheres completely without intersections and voids. Moreover, within any such sphere, the distance between any two points is always the same and equals the radius of that sphere.

A completely logical but nonetheless surprising and unusual consequence of this "natural hierarchical" structure is this: **every point of an ultrametric sphere is its center.**

No one may have forgotten how Blaise Pascal described the construction of nature?

Well, the direct relevance of this entire construction to the mathematics of *p-*adic numbers comes from the fact that Marc Krasner introduced the very concept of ultrametric spaces based directly on them.

So from the very beginning and up to this day, *p-*adic numbers have been although not the only, but undoubtedly the most important example of ultrametric spaces. Or a system of infinitely nested spheres "whose center is everywhere and the circumference nowhere."

![](https://kniganews.org/wp-content/uploads/2013/03/bc61p-adic.jpg "Conventional depiction of 3-, 5-, 7-adic numbers (in reality, there are no gaps between circles)")

<center>(49)</center>

To make the natural transition from abstract *p-*adic numbers to quite concrete explorations of mysteries in the structure of matter, consciousness, and reality as a whole, just one step remains. In the language of mathematicians, this step is called **non-Archimedean analysis**.

Among the important characteristics of ultrametric spaces, it is always noted that their geometry is non-Archimedean. Specifically, in this context, non-Archimedean property means that from any point in an ultrametric space, it is impossible to escape a distance greater than some magnitude *R* if taking steps no larger than *R*. That is, to step outside a circle, one must take a step exceeding the radius of that circle…

It is clear that this strange feature does not align at all with our experience and perceptions of the world described by Euclidean geometry and its axioms. In particular, because among the axioms of classical geometry, there is one rather special — the so-called Archimedean axiom — which mathematicians overlooked for thousands of years.

This axiom was first isolated and analyzed by Giuseppe Veronese and David Hilbert. Its significance for the foundations of mathematics can be compared to the discovery of non-Euclidean (Riemannian) geometry of curved spaces. Because it showed how renouncing Archimedes' axiom leads to entirely different, non-Archimedean geometry, which also demonstrates its completeness and consistency.

And this was discovered — worth noting — at the very end of the 19th century, just a few years before the first discoveries in quantum physics. But at that time, of course, to see the relationships here was incredibly challenging…

So what is the essence of Archimedes' axiom, which had invisibly been present in mathematics as a self-evident truth for tens of centuries?

Consider a straight line and choose two segments on it, having different lengths and starting from the same point. Archimedes' axiom states that if we repeatedly place the shorter segment along the line, eventually we will exceed the length of the second, longer segment.

In fact, this axiom describes the standard procedure of measurement — we essentially compare an arbitrary magnitude with a smaller standard. For this reason, Archimedes' axiom is sometimes called the axiom of measurability. One natural consequence is that it should always be possible to measure any small distance by selecting an even smaller standard.

Here a fundamental contradiction between traditional, Archimedean mathematics of space and the structure of the real world described by quantum physics is revealed.

In quantum theory — the most advanced of all human physical sciences — there is a fundamentally important result. According to which, with any conceivable accuracy of instruments, there is no way to measure a distance with an error less than a certain constant, known as the "Planck length."

This minimum length of scale is derived as a ratio of the most fundamental constants that describe the physics of our world — the Planck constant, the speed of light, and the gravitational interaction constant. The Planck length is very small, 10⁻³⁵ meters, but it indicates that at these scales, all the physics-mathematics known to us ceases to operate. For the reason that the geometry of ordinary Euclidean and, even more generally, Riemannian space inadequately describes the properties of the real physical world at very small distances.

In other words, for traditional mathematical physics, an insurmountable barrier has been revealed. Yet all science is structured in such a way that any barrier is treated merely as a signal to search for new, non-traditional tools to solve the problem.

The crux of the problem, in this context, appeared as follows. The generally accepted system of analytical task description in science operates with real numbers. This seems completely natural, as this has always been the case in mathematical physics, starting with Newton and Leibniz, who created the apparatus of differential and integral calculus.

This apparatus, in its foundations, is built on the key feature of real numbers: any interval of length or time can be decreased to infinity. Or alternatively, if needed, measurement precision — in the decimal notation of magnitude — can be increased to any required digit following the decimal point.

But upon reflecting a bit deeper on this point, one concludes that from a physical standpoint, this involves an excessively strong, indeed incorrect, assumption. Both in experimental and theoretical senses.

Because **in any physical experience, any needed magnitude can truly be measured only by a rational number **— as a ratio of one whole number to another. To the extent afforded by the instrument's calibration… Rephrasing slightly, rational numbers and only they are genuinely "physical" numbers.

The description of natural-scientific models using real numbers — as one of the possible extensions of rational numbers — progressed for several centuries and hit a dead end on the micro scale. According to Ostrowski's theorem, another logically justified option for describing the world is *p-*adic numbers, in whose space the Archimedean axiom is violated.

Since there are no other options for expanding rational numbers to the concept of continuity in mathematics, it is natural to assume that the **time has most likely come to describe the world in terms of *p-*adic arithmetic and non-Archimedean geometry**.

For some unexplained historical reasons, the key role in reformulating physics into the language of *p-*adic numbers and ultrametric analysis was taken up by scientists from the Russian mathematical school. And what is remarkable, real progress in this direction began only after the passing of Marc Krasner and Alexander Ostrowski in the mid-1980s.

<center>(50)</center>

The founding figures of this entirely new research approach are rightfully considered Vasily S. Vladimirov and Igor V. Volovich, whose works first demonstrated the importance of non-Archimedean analysis and *p-*adic numbers for theoretical physics. [o45] (Strictly speaking, there were a few other attempts in this vein before them, but they failed to attract the attention of their colleagues.)

Already in Vladimirov and Volovich's first publication on this topic, in 1984, it was hypothesized and justified that *p-*adic numbers could be used to describe space at Planck scales. Moreover, the mathematicians' calculations indicated that **nature turns out to be unexpectedly and substantially simpler when viewed from the number-theoretical perspective**.

A seminal step for integrating *p-*adics in physics was Volovich's 1987 work, suggesting intriguing approaches to employing the *p-*adic apparatus in string theory. This article [o46] in the journal "Classical and Quantum Gravity" managed to attract the attention of prominent string theorists, including Edward Witten, and sparked a wave of publications on *p-*adic strings in the international community.

The active interest of other researchers combined with new exciting findings stimulated the development of many other *p-*adic physical models. Moreover, year by year, the areas of application for this apparatus and ultrametric analysis, in general, continue to grow steadily.

Over time, *p-*adic models of quantum mechanics and field theory emerged alongside *p-*adic descriptions of complex systems like spin glasses — an unusual solid state that structurally resembles Kelvin's "vortex sponge." Because of their structural peculiarities, *p-*adic numbers turn out to be an exceedingly convenient tool for describing various systems with fractal or granular structures.

Furthermore, *p-*adics have found appealing applications in biology. To make it clearer why this aspect of introducing new approaches into science is especially important, one can quote the well-known words of Israel M. Gelfand, one of the world's leading authorities on the mathematical description of biological systems.

Playing on Eugene Wigner's famous phrase [i63], he said: "*There is only one thing even more incomprehensible than the incomprehensible effectiveness of mathematics in physics. And that thing is the incomprehensible INeffectiveness of mathematics in biology*."

Perhaps the key to solving this mystery has already been found. As Sergei V. Kozyrev, a well-known researcher in biophysics using methods of *p-*adic analysis, writes, "*the ineffectiveness of mathematical methods in biology may be connected precisely with the fact that biology, like physics, tried to apply methods of real analysis, while the basic models of biology may need to be expressed in an ultrametric language*". [o47]

The validity of this viewpoint is convincingly supported by the successes of mathematicians applying new methods of ultrametric analysis to describe the genetic code of DNA and to models of the dynamics of biological macromolecules like proteins.

However, when listing numerous unequivocal successes and achievements of the new *p-*adic approach, it's important to emphasize one very crucial nuance. Each *p-*adic model is constructed on the basis of its own prime number *p*. For describing DNA or, say, for cryptography, the 2-adic model is very convenient. For other tasks, these could be 3-, 5-, 7-, 11-, or even (should anyone need it) 1999-adic systems.

There are infinitely many such systems, they are all different, and each is essentially self-sufficient. However, which number in this infinite series is best suited for describing the world — no one can tell you.

Fortunately, the direction to get out of this difficult situation was found almost immediately. In technical terminology, it is called **adeles**, and in essence, it leads all *p-*adic systems to democratic equality.

Initially highly abstract, the construction of adelic numbers was introduced into mathematics slightly earlier than ultrametric, at the turn of the 1930-1940s. The progenitor of adeles was the French mathematician Claude Chevalley, best known as the youngest co-founder of the famous "Bourbaki" group. He was also known as a person who, according to his friend and colleague André Weil, was engaged in maximally dehumanized, that is, formal and very far from life mathematics.

It was only by the late 1980s that it became clear — thanks to the now-famous Freund-Witten adelic formula [o48] — that in fact, Chevalley's abstract construction has the most direct relation to quantum physics. As they say in similar cases, the right idea was ahead of its time by about half a century (although, of course, this depends on how you look at it — but more on that later).

The essence of the arrangement of the unusual number with the somehow feminine name adele boils down to the fact that it is a vector or an infinite sequence of numbers, where the first place is taken by an arbitrary real number, and all others are *p-*adic expressions for the very same number in all possible growing values of the prime *p*.

Relations that record an arbitrary number as an infinite product in terms of prime numbers are widely used in mathematics and are known under the name of Euler's representation. Transforming a magnitude to this form usually greatly simplifies the analysis.

As for the properties of adelic objects, an adelic coordinate contains both a real and all *р-*adic coordinates. Thanks to this composite structure, they simultaneously exhibit properties of Archimedean and fractal (non-Archimedean) topology. However, adelic objects as a whole tend to be simpler than their Archimedean (real) components.

Moreover, thanks to Eulerian product formulas, embodying the idea of the equality of all topologies, information about the real component of an adelic object can be gleaned either from this real component itself or from the product of *p-*adic components for all *p*.

Relying on this mathematical apparatus, Peter Freund and Ed Witten, interested in Volovich's work on *p-*adic strings, in 1987 derived an important formula combining ordinary quantum mechanics with *р-*adic and adelic mathematics.

They showed that the wave function describing the evolution of a free particle in standard quantum mechanics can be represented as a product of wave functions of *р-*adic strings. This relation is sometimes interpreted to mean that the energy of an ordinary quantum particle actually consists of the energies of its *р-*adic components…

This result is very important for at least three reasons. First, it became clear that finding adelic formulas for describing physical systems can significantly simplify their analysis.

Second, the merger of adelic mathematics with quantum physics by the late 1990s allowed the previously mentioned Alain Connes [i64] to find an "almost proof" (more precisely, a beautiful approach to a solution) of one of the greatest mathematical problems — the Riemann Hypothesis about the zeros of the zeta function.

And third, **adeles indicated a real path to a holistic description of consciousness and matter as a single system**.

<center>(51)</center>

In 1987, feeling a powerful trend in the processes of "immersing" (or conversely, ascending) physics into number theory, the prominent Russian mathematician Yuri I. Manin [i65] outlined his vision of the opening picture of reality:

> On the fundamental level our world is neither real, nor *p*-adic, it is adelic. For some reasons reflecting the physical nature of our kind of living matter (e.g., the fact that we are built of massive particles), we tend to project the adelic picture onto its real side. We can equally well spiritually project it upon its non-Archimedean side and calculate most important things arithmetically [according to Manin, "spiritual projection" occurs in the Platonic realm of mathematical ideas].
>
> The relation between "real" and "arithmetic" pictures of the world is that of complementarity, like the relation between conjugate observables in quantum mechanics.

These ideas of Manin look particularly remarkable when compared with Wolfgang Pauli's statements, one of the key figures in the "TBC guide." At the turn of the 1940-50s, summarizing his metaphysical reflections on the nature of the world and the future of science, Pauli wrote about these things as follows [i61][i66]:

> In my personal opinion, in future science, reality will be neither mental nor physical but somehow both at once, and at the same time one or the other separately…
>
> The most important and extremely complex task of our time is to lay a new idea of reality … And the most optimal would be if physics and the soul were represented as complementary aspects of the same reality.

It is exceedingly difficult to miss the obvious parallels in the ideas of Pauli and Manin. And to make it clearer how close Wolfgang Pauli was to the most significant physical-mathematical discoveries only happening now, it is enough to provide such biographical facts.

Pauli began to develop his ideas on a unified mathematical description of matter and consciousness under the great influence of the theories of Carl G. Jung, with whom he was closely acquainted since the early 1930s and maintained regular contact for the rest of his life. During the war years, i.e., the first half of the 1940s, Pauli worked in Princeton, USA — where in the same period worked the "father of all adeles" Claude Chevalley.

In those same years, in 1944, Carl Jung began additional work as a professor at the University of Basel. Another professor at this university was Alexander M. Ostrowski. Furthermore, in 1949, this *p-*adic specialist married a specialist in analytical psychology, Margaret Sachs, a disciple and associate of Carl Gustav Jung. Finally, in 1958, Ostrowski himself became a visiting professor at ETH in Zurich, where Pauli worked permanently…

In short, nearly everything was ready for Pauli and Ostrowski to come closer together. The great physicist would surely have learned more about *p-*adic numbers, adeles, and their remarkable features. And, of course, Pauli would have noticed how beautifully the structure of adeles fit his ideas of the mutual complementarity of matter and consciousness… But none of this, alas, happened in reality. [i67]

As it turned out, it took another half s century to wait. And what we could have known about a unified mathematical model for physics and the soul back then is only slowly coming to light now.

In 1989, after attending one of Vladimirov and Volovich's lectures, mathematician Andrey Yu. Khrennikov became deeply interested in the practical applications of *p-*adics. Another five years later, by 1994, already a prominent specialist in this field and the author of a well-known monograph [o49] on the applications of *p-*adic analysis in mathematical physics, Khrennikov concluded that he was not quite dealing with what he should be.

All his accumulated experience suggested that *p-*adic approaches were needed not so much for microphysics but for describing something else, some other part of nature… It was hardly a coincidence, but at just the same time, he became interested in the works of Sigmund Freud. While reading Freud's books, Khrennikov was struck by an idea: to create a mathematical theory describing psychological behavior and, in particular, formalizing psychoanalysis.

In Freud's works, flows of ideas, representations, and desires were vividly depicted, and these flows or "spiritual objects" appeared no less real than material objects. Spiritual objects are also capable of evolving, interacting with varying intensity. Thus, as a mathematical physicist, Khrennikov intuitively sensed that he had come across such dynamics in mental space that closely resembled the dynamics of material objects in physical space.

Then, as a research analyst, he only needed to introduce an appropriate system of spiritual coordinates and mathematically describe the mental flows. The standard models based on real coordinates, long and actively used for mapping neural networks of the brain, were decisively discarded by Khrennikov as unsuitable for a number of fundamental reasons. But at the same time, having considerable experience working in *p-*adic physics, he immediately noticed that *p-*adic trees were almost ideally suited for describing spiritual spaces.

Ten years later, this initial idea resulted in an impressive series of about a dozen monographs and papers by Khrennikov dedicated to the mathematical modeling of thought processes in the system of *p-*adic coordinates. [o50]

It cannot be said that these innovative and profound works went entirely unnoticed in the scientific community. Specialists do know them, of course (Professor Khrennikov is also known as the head of the "International Center for Mathematical Modeling in Physics and Cognitive Sciences" at the University of Växjö, Sweden). However, these works have not yet sparked a revolution in the science of mind and brain. Primarily because numerical *p-*adic models cannot provide answers to the main questions about the mysteries of consciousness.

The principal question among these is the problem of the connection between spirit and matter. Scientists had no clarity on this issue in the times of Descartes and Pascal, and they still don't today. Relying on the available body of knowledge, science is still faced with an "explanatory gap," with no clear understanding of the mechanisms that enable the interaction between matter and consciousness.

Another question closely related to the first is where exactly is consciousness located? In the brain? Or somewhere else — perhaps in a "space above the head"? Or maybe consciousness is distributed everywhere there is energy and space?

No one today is capable of providing clear and convincing answers to these questions.

However, it can be noted that geometry might offer some very substantial insights on this front. In particular, the geometric ideas developed by a colleague, neighbor, and close acquaintance of Wolfgang Pauli in Zurich…

More correctly, in this context, it is talk not so much about geometry in general but about its section called topology. [i68]

<center>([Read more](/tbc/62/))</center>

### Inside links

[i59] Descartes' Dreams, [https://kniganews.org/map/e/01-01/hex50/](https://kniganews.org/map/e/01-01/hex50/)

[i60] Pascal-Pascheles-Pauli, [https://kniganews.org/map/n/00-01/hex12/](https://kniganews.org/map/n/00-01/hex12/)

[i61] Two Worlds, [https://kniganews.org/map/n/00-01/hex10/](https://kniganews.org/map/n/00-01/hex10/)

[i62] Odyssey of the Vortex Sponge, [https://kniganews.org/map/e/01-01/hex51/](https://kniganews.org/map/e/01-01/hex51/)

[i63] The Missing Idea, [https://kniganews.org/2012/11/17/langlands-plus/](https://kniganews.org/2012/11/17/langlands-plus/)

[i64] TBC_5.2_soul, [https://kniganews.org/2013/01/07/beyond-clouds-52/](https://kniganews.org/2013/01/07/beyond-clouds-52/)

[i65] The Garden of Converging Paths: Manin and Pauli, [https://kniganews.org/2012/03/25/manin-and-pauli/](https://kniganews.org/2012/03/25/manin-and-pauli/)

[i66] Something Else, [https://kniganews.org/map/n/00-01/hex13/](https://kniganews.org/map/n/00-01/hex13/)

[i67] Something Happened, [https://kniganews.org/map/n/00-01/hex1c/](https://kniganews.org/map/n/00-01/hex1c/)

[i68] Rubber Geometry, [https://kniganews.org/map/e/01-10/hex6c/](https://kniganews.org/map/e/01-10/hex6c/)

### Outside links

[o44] Kurt Hensel, *Über eine neue Begründung der Theorie der algebraischen Zahlen.* Jahresbericht der Deutschen Mathematiker-Vereinigung, Band 6, 1899, 6 (3): 83–88.

[o45] Владимиров B.C., Волович И.В. *Суперанализ, 1. Дифференциальное исчисление*. ТМФ. 1984. Т. 59, № 1. С. 3-27 ; —, —. *Суперанализ, 2. Интегральное исчисление*. ТМФ. 1984. Т. 60, № 2, С. 169-198 ; Vladimirov V.S., Volovich I.V. *P-adic quantum mechanics*. Commun. Math. Phys. 1989. V. 123, C. 659-676; V.S. Vladimirov, I.V. Volovich, Ye.I. Zelenov, *P-adic Analysis and Mathematical Physics*, World Scientific, Singapore, 1993

[o46] Volovich I. V., "*p-adic string*". Class. Quant. Grav. 1987. V. 4. P. 83-87.

[o47] Kozyrev S. V., "*Methods and applications of ultrametric and p-adic analysis: from wavelet theory to biophysics*" (in Russian), Sovr. probl. matem., Issue 12, MIAN, M., 2008

[o48] P. G. O. Freund, E. Witten, "*Adelic string amplitudes*", Phys.Lett. B, 199 (1987), 191–194

[o49] Khrennikov A. Yu. "*p-adic valued distributions and their applications to the mathematical physics*". Dordrecht: Kluwer Acad. Publ., 1994.

[o50] Khrennikov A. Yu. "*Non-Archimedean analysis: quantum paradoxes, dynamical systems and biological models*". Dordrecht: Kluwer Acad. Publ., 1997. ; Khrennikov A. Yu. "*Human subconscious as the p-adic dynamical system*". J. of Theor. Biology. 1998. V. 193. P. 179-196. ; Khrennikov A. Yu. "*Description of the operation of the human subconscious by means of p-adic dynamical systems*". Dokl. Akad. Nauk. 1999. V.365. P. 458-460. ; Khrennikov A. Yu. "*Modeling of thinking processes in p-adic coordinate systems*" (in Russian). M.: FIZMATLIT, 2004.
